Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 699123002: Remove HttpStreamBase. (Closed)

Created:
3 years ago by yhirano
Modified:
3 years ago
CC:
cbentzel+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Remove HttpStreamBase. HttpStreamBase was introduced to integrate the connection setup logic between HTTP and WebSocket[1] by abstracting methods from HttpStream, but it is not needed now. In addition to that, there is a downcast from HttpStreamBase to HttpStream and that leads to a crash. This CL moves all methods in HttpStreamBase to HttpStream and removes HttpStreamBase. This CL also replaces NULL with nullptr in some files. 1: https://chromium.googlesource.com/chromium/src/+/92b9a3e000136518c489975bebea57bc0f66333f BUG=399535 Committed: https://crrev.com/a7e05bb2fd1c4065c4c95251bf62e0440a18cb7f Cr-Commit-Position: refs/heads/master@{#302967}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 2

Patch Set 4 : #

Total comments: 6

Patch Set 5 : #

Total comments: 5

Patch Set 6 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+241 lines, -256 lines) Patch
M net/http/http_network_transaction.h View 5 chunks +5 lines, -5 lines 0 comments Download
M net/http/http_network_transaction.cc View 1 2 6 chunks +6 lines, -8 lines 0 comments Download
M net/http/http_network_transaction_unittest.cc View 1 2 3 4 2 chunks +6 lines, -2 lines 0 comments Download
M net/http/http_response_body_drainer.h View 3 chunks +3 lines, -3 lines 0 comments Download
M net/http/http_response_body_drainer.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M net/http/http_stream.h View 1 chunk +132 lines, -3 lines 0 comments Download
D net/http/http_stream_base.h View 1 chunk +0 lines, -165 lines 0 comments Download
M net/http/http_stream_factory.h View 3 chunks +3 lines, -3 lines 0 comments Download
M net/http/http_stream_factory_impl_request.h View 2 chunks +2 lines, -2 lines 0 comments Download
M net/http/http_stream_factory_impl_request.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M net/http/http_stream_factory_impl_request_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M net/http/http_stream_factory_impl_unittest.cc View 1 2 3 4 26 chunks +51 lines, -49 lines 0 comments Download
M net/net.gypi View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/url_request/url_request_http_job_unittest.cc View 1 2 3 4 4 chunks +9 lines, -3 lines 0 comments Download
M net/websockets/websocket_basic_handshake_stream.h View 1 chunk +3 lines, -0 lines 0 comments Download
M net/websockets/websocket_basic_handshake_stream.cc View 1 2 3 5 chunks +13 lines, -4 lines 0 comments Download
M net/websockets/websocket_handshake_stream_base.h View 2 chunks +2 lines, -2 lines 0 comments Download

Messages

Total messages: 25 (6 generated)
yhirano
3 years ago (2014-11-04 05:41:06 UTC) #2
tyoshino (SeeGerritForStatus)
CL desc was introduced integrate -> was introduced to integrate
3 years ago (2014-11-04 06:17:48 UTC) #3
yhirano1
On 2014/11/04 06:17:48, tyoshino wrote: > CL desc > > was introduced integrate > -> ...
3 years ago (2014-11-04 06:20:38 UTC) #4
tyoshino (SeeGerritForStatus)
lgtm https://codereview.chromium.org/699123002/diff/40001/net/websockets/websocket_basic_handshake_stream.cc File net/websockets/websocket_basic_handshake_stream.cc (right): https://codereview.chromium.org/699123002/diff/40001/net/websockets/websocket_basic_handshake_stream.cc#newcode539 net/websockets/websocket_basic_handshake_stream.cc:539: return nullptr; use NULL for consistency with the ...
3 years ago (2014-11-04 17:03:58 UTC) #5
yhirano
https://codereview.chromium.org/699123002/diff/40001/net/websockets/websocket_basic_handshake_stream.cc File net/websockets/websocket_basic_handshake_stream.cc (right): https://codereview.chromium.org/699123002/diff/40001/net/websockets/websocket_basic_handshake_stream.cc#newcode539 net/websockets/websocket_basic_handshake_stream.cc:539: return nullptr; On 2014/11/04 17:03:58, tyoshino wrote: > use ...
3 years ago (2014-11-05 02:19:50 UTC) #6
tyoshino-do-not-use
lgtm https://codereview.chromium.org/699123002/diff/60001/net/http/http_network_transaction_unittest.cc File net/http/http_network_transaction_unittest.cc (right): https://codereview.chromium.org/699123002/diff/60001/net/http/http_network_transaction_unittest.cc#newcode12279 net/http/http_network_transaction_unittest.cc:12279: HttpStream* RenewStreamForAuth() override { return nullptr; } do ...
3 years ago (2014-11-05 02:51:44 UTC) #8
yhirano
https://codereview.chromium.org/699123002/diff/60001/net/http/http_network_transaction_unittest.cc File net/http/http_network_transaction_unittest.cc (right): https://codereview.chromium.org/699123002/diff/60001/net/http/http_network_transaction_unittest.cc#newcode12279 net/http/http_network_transaction_unittest.cc:12279: HttpStream* RenewStreamForAuth() override { return nullptr; } On 2014/11/05 ...
3 years ago (2014-11-05 03:55:37 UTC) #9
tyoshino (SeeGerritForStatus)
lgtm
3 years ago (2014-11-05 05:44:51 UTC) #10
Adam Rice
lgtm
3 years ago (2014-11-05 12:59:45 UTC) #11
yhirano
+rsleevi for OWNER review.
3 years ago (2014-11-05 13:01:03 UTC) #13
Ryan Sleevi
I took a quick scan, but I'm actually going to punt this to rch@. He's ...
3 years ago (2014-11-05 23:16:22 UTC) #15
Ryan Hamilton
LGTM, modulo one nit and one question. (Assuming that the answer is yes :>) https://codereview.chromium.org/699123002/diff/80001/net/http/http_network_transaction.cc ...
3 years ago (2014-11-06 00:35:03 UTC) #17
yhirano
https://codereview.chromium.org/699123002/diff/80001/net/http/http_network_transaction_unittest.cc File net/http/http_network_transaction_unittest.cc (right): https://codereview.chromium.org/699123002/diff/80001/net/http/http_network_transaction_unittest.cc#newcode12280 net/http/http_network_transaction_unittest.cc:12280: On 2014/11/06 00:35:03, Ryan Hamilton wrote: > nit: nullptr? ...
3 years ago (2014-11-06 01:13:54 UTC) #18
Ryan Hamilton
On 2014/11/06 01:13:54, yhirano wrote: > https://codereview.chromium.org/699123002/diff/80001/net/http/http_network_transaction_unittest.cc > File net/http/http_network_transaction_unittest.cc (right): > > https://codereview.chromium.org/699123002/diff/80001/net/http/http_network_transaction_unittest.cc#newcode12280 > ...
3 years ago (2014-11-06 01:30:36 UTC) #19
yhirano
https://codereview.chromium.org/699123002/diff/80001/net/http/http_stream.h File net/http/http_stream.h (right): https://codereview.chromium.org/699123002/diff/80001/net/http/http_stream.h#newcode156 net/http/http_stream.h:156: virtual void SetPriority(RequestPriority priority) = 0; On 2014/11/06 00:35:03, ...
3 years ago (2014-11-06 02:24:04 UTC) #20
Ryan Hamilton
On 2014/11/06 02:24:04, yhirano wrote: > https://codereview.chromium.org/699123002/diff/80001/net/http/http_stream.h > File net/http/http_stream.h (right): > > https://codereview.chromium.org/699123002/diff/80001/net/http/http_stream.h#newcode156 > ...
3 years ago (2014-11-06 03:14:44 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/699123002/100001
3 years ago (2014-11-06 03:33:15 UTC) #23
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years ago (2014-11-06 05:40:48 UTC) #24
commit-bot: I haz the power
3 years ago (2014-11-06 05:41:25 UTC) #25
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/a7e05bb2fd1c4065c4c95251bf62e0440a18cb7f
Cr-Commit-Position: refs/heads/master@{#302967}

Powered by Google App Engine
This is Rietveld efc10ee0f